# infrastructure/longhorn/core/kustomization.yaml
apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
resources:
  - namespace.yaml
  - vault-serviceaccount.yaml
  - secretproviderclass.yaml
  - vault-sync-deployment.yaml
  - helmrelease.yaml
  - veles-recurring-jobs.yaml
  - longhorn-settings-ensure-job.yaml
  - longhorn-csi-toleration-ensure-job.yaml
  - longhorn-disk-tags-ensure-job.yaml

configMapGenerator:
  - name: longhorn-settings-ensure-script
    files:
      - longhorn_settings_ensure.sh=scripts/longhorn_settings_ensure.sh
  - name: longhorn-disk-tags-ensure-script
    files:
      - longhorn_disk_tags_ensure.py=scripts/longhorn_disk_tags_ensure.py

generatorOptions:
  disableNameSuffixHash: true
